import { AfterViewInit, OnChanges, QueryList } from '@angular/core';
import { NgxSlideshowCardDirective } from './ngx-slideshow-card.directive';
export declare class NgxSlideshowComponent implements AfterViewInit, OnChanges {
    private cardItems;
    cardList: QueryList<NgxSlideshowCardDirective>;
    cards: number;
    padding: string;
    cardSize: any;
    resizeViewport: boolean;
    unit: string;
    index: number;
    min: number;
    trueViewportSize: string;
    trueCardSize: string;
    truePaddingSize: string;
    pixelCardSize: string;
    setSideStyle: {
        width?: string;
    };
    private findNumbers;
    SWIPE_ACTION: {
        LEFT: string;
        RIGHT: string;
    };
    constructor();
    ngAfterViewInit(): void;
    ngOnChanges(): void;
    right(): void;
    left(): void;
    goTo(i: number): void;
    leftBy(i: number): void;
    rightBy(i: number): void;
    swipe(action?: string): void;
    private convertNumberToUnit(unitless);
    setMarginSize: (padding: any) => string;
    __onResize(): void;
}
